import { Lexer } from "antlr4";
export default abstract class LexerBase extends Lexer {
    tokens: any[];
    indents: any[];
    opened: number;
    constructor(input: any);
    reset(): void;
    emitToken(token: any): void;
    nextToken(): any;
    createDedent(): any;
    getCharIndex(): any;
    commonToken(type: number, text: string): any;
    getIndentationCount(whitespace: string): number;
    atStartOfInput(): boolean;
    openBrace(): void;
    closeBrace(): void;
    onNewLine(): void;
}
